RDMA_LEAVE_MULTICAST(3)

NAME
rdma_leave_multicast - Leaves a multicast group.

SYNOPSIS
#include <rdma/rdma_cma.h>

int rdma_leave_multicast (struct rdma_cm_id *id, struct sockaddr *addr);

ARGUMENTS

id  Communication identifier associated with the request.

addr
    Multicast address identifying the group to leave.

DESCRIPTION
Leaves a multicast group and detaches an associated QP from the group.

RETURN VALUE
Returns 0 on success, or -1 on error. If an error occurs, errno will be set to indicate the failure reason.

NOTES
Calling this function before a group has been fully joined results in canceling the join operation. Users should be aware that messages received from the multicast group may stilled be queued for completion processing immediately after leaving a multicast group. Destroying an rdma_cm_id will automatically leave all multicast groups.

SEE ALSO
rdma_join_multicast(3), rdma_destroy_qp(3)